Bug 1550 - Please add IPTV Support to ROMP
: Please add IPTV Support to ROMP
Status: RESOLVED FIXED
Product: Desktop Features
Classification: ROSA Desktop
Component: All
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-31 09:18 MSK by FirstLevel
Modified: 2015-06-25 01:40 MSD (History)
4 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:


Attachments
m3u open error (275.99 KB, image/png)
2013-02-01 23:47 MSK, Postnikov Dmitry
Details
romp1.6-8_iptv (580.95 KB, image/png)
2013-04-27 23:51 MSD, Postnikov Dmitry
Details

Note You need to log in before you can comment on or make changes to this bug.
Description FirstLevel 2013-01-31 09:18:54 MSK
Please add IPTV Support to ROMP:
1)Loading default playlist (from network or harddisk)
2)Loading tv programs in jtv format (See article http://www.teleguide.info/article1.html)

Something like that:

[List]
Count=1
1name="An-Net TV"
1um3u="http://tv1.an-net.ru/tv.m3u"

[Settings]
apptitle1="OOO "An-Net""
apptitle2=" IP-TV Player"
colors=0;55989;260;55989;0;55989;55989;
m3uautoload=1
support-url=an-net.ru
url-tvg=http://www.teleguide.info/download/new3/jtv.zip
Comment 1 Denis Koryavov 2013-01-31 09:38:24 MSK
Well, loading of .mu3 playlists already works in development version.
Comment 2 FirstLevel 2013-01-31 14:06:59 MSK
(In reply to comment #1)
> Well, loading of .mu3 playlists already works in development version.

What is "development version"? Is accessible for ussual users?
Comment 3 Evgeniy Auzhin 2013-01-31 20:40:58 MSK
(In reply to comment #2)
> (In reply to comment #1)
> > Well, loading of .mu3 playlists already works in development version.
> 
> What is "development version"? Is accessible for ussual users?

Yes, you may try this:

http://cdn.2safe.com/174770033048/rosa-media-player-1.5.90-19-rosa2012.1.x86_64.rpm

http://cdn.2safe.com/213551033560/rosa-media-player-1.5.90-19.src.rpm
Comment 4 FirstLevel 2013-02-01 09:22:55 MSK
(In reply to comment #3)
> (In reply to comment #2)
> > (In reply to comment #1)
> > > Well, loading of .mu3 playlists already works in development version.
> > 
> > What is "development version"? Is accessible for ussual users?
> 
> Yes, you may try this:
> 
> http://cdn.2safe.com/174770033048/rosa-media-player-1.5.90-19-rosa2012.1.
> x86_64.rpm
> 
> http://cdn.2safe.com/213551033560/rosa-media-player-1.5.90-19.src.rpm

Could You provide i586 version?
Comment 5 Postnikov Dmitry 2013-02-01 16:49:55 MSK
(In reply to comment #3)
> (In reply to comment #2)
> > (In reply to comment #1)
> > > Well, loading of .mu3 playlists already works in development version.
> > 
> > What is "development version"? Is accessible for ussual users?
> 
> Yes, you may try this:
> 
> http://cdn.2safe.com/174770033048/rosa-media-player-1.5.90-19-rosa2012.1.
> x86_64.rpm
> 
> http://cdn.2safe.com/213551033560/rosa-media-player-1.5.90-19.src.rpm

I install rosa-media-player-1.5.90-19
Well like work IPTV. As with .m3u files program reads, and remotely from the server at http://. The only shortcoming, it is in the menu of Program there is NOT the channel name only number. Well, and some channels (for example "Домашний") are stuttering. Although in VLC the same channel WITHOUT stuttering goes. I attached the screenshots in .zip, you can see.
Comment 6 Postnikov Dmitry 2013-02-01 16:52:01 MSK
Pardon! .zip archive is big for Bugzilla. :)
http://cdn.2safe.com/217803033560/romp-1.png.zip
Comment 7 Denis Koryavov 2013-02-01 22:06:13 MSK
Unfortunately we have difficulties in finding channels for testing (no one from developers have IPTV). Do you know any public channels that we will can test?
Comment 8 Postnikov Dmitry 2013-02-01 23:38:43 MSK
(In reply to comment #7)
> Unfortunately we have difficulties in finding channels for testing (no one
> from developers have IPTV). Do you know any public channels that we will can
> test?

EN:
I think that no. Satellite operators broadcast on certain channels for Mediaopetrators for money, in addition to the 20 free channels. Mediaopetrators in turn give flow of ISP operators. But, ISP operators may not "enable" just so free of charge only 20 channels. Or connects ALL IPTV SERVICE and in her 20 free channels + pay-TV channels(on request), or NOTHING.

RU:
Думаю что нет. Спутниковые операторы транслируют по определенным каналам для Медиаоператоров за деньги, кроме 20 бесплатных каналов. Медиаоператоры в свою очередь отдают поток ISP операторам. Но, ISP операторы не могут "включить" просто так бесплатно только 20 каналов. Либо подключается ВСЯ УСЛУГА IPTV и в ней 20 бесплатных каналов + платные каналы(по желанию), либо НИЧЕГО.
Comment 9 Postnikov Dmitry 2013-02-01 23:45:48 MSK
Pardon. I made a mistake, the .m3u files with the list of the channels does NOT read the player. After the opening of the .m3u file the channels list, however, goes error mplayer and play is impossible.
Write error message from mpalyer:
===========
/usr/bin/mplayer -noquiet -nofs -nomouseinput -sub-fuzziness 1 -identify -slave -vo xv -ao pulse -nokeepaspect -framedrop -nodr -double -input nodefault-bindings:conf=/dev/null -stop-xscreensaver -wid 113246242 -monitorpixelaspect 1 -ass -embeddedfonts -ass-line-spacing 0 -ass-font-scale 1 -ass-styles /home/pastordi/.config/rosamp/styles.ass -fontconfig -font Arial -subfont-autoscale 0 -subfont-osd-scale 20 -subfont-text-scale 20 -subcp UTF-8 -subcc -subpos 100 -volume 76 -cache 1000 -osdlevel 0 -prefer-ipv4 -vf-add screenshot -slices -af scaletempo,equalizer=0:0:0:0:0:0:0:0:0:0 -softvol -softvol-max 110 http://xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx

The subcc option must be an integer: -subpos
Error parsing option on the command line: -subcc
MPlayer 1.1-4.7.2 (C) 2000-2012 MPlayer Team
ID_EXIT=NONE

============

I attached screenshot.
Comment 10 Postnikov Dmitry 2013-02-01 23:47:29 MSK
Created attachment 1129 [details]
m3u open error
Comment 11 Denis Silakov 2013-04-11 23:24:04 MSD
ROMP 1.6 finally got the improved IPTV support. Do you get any issues with the released 1.6?
Comment 12 Postnikov Dmitry 2013-04-27 23:51:46 MSD
Created attachment 1332 [details]
romp1.6-8_iptv

(In reply to comment #11)
> ROMP 1.6 finally got the improved IPTV support. Do you get any issues with
> the released 1.6?

So far, no problems with the opening of the local m3u file with a list of channels. However, the http Protocol list does not receive, although losing the first channel.
Comment 13 Denis Silakov 2015-06-25 01:40:10 MSD
Let's close this old bug since it's subject is implemented - IPTV support was added to ROMP a couple of years ago and there were a lot of changes in ROMP and underlying libraries since them.

If you experience issues with IPTV - feel free to open new bugs.